4 Replies Latest reply on Apr 7, 2014 2:47 PM by Aslak Knutsen

    Changing WELD version for arquillian-testenricher-cdi

    R V Newbie

      Hi there,

       

      I'm using the below feature in my application:

       

      @Inject
      private Instance<MyClass> myClassInstance;
      

       

      Arquillian keeps complaining about it and turns out it was a bug in WELD according to this bug report: https://java.net/jira/browse/GLASSFISH-18046?page=com.atlassian.streams.streams-jira-plugin%3Aactivity-stream-issue-tab

       

      Apparently this bug is fixed as of WELD 1.1.9.Final. I'm using Arquillian 1.1.4.Final which comes with arquillian-testenricher-cdi 1.1.4.Final.

      According to its POM it uses WELD 1.1.5.Final: http://repo1.maven.org/maven2/org/jboss/arquillian/testenricher/arquillian-testenricher-cdi/1.1.4.Final/arquillian-testenricher-cdi-1.1.4.Final.pom

       

       

      My question is: how can I replace WELD with version 1.1.9.Final so I can get my feature working?

       

      I'm deploying my app into GlassFish 4 and all's working fine it's just the Arquillian integration test that fails.

       

      Thank you